com.abbyy.mobile.rtr

## Class IImagingCoreAPI.ExportToPdfOperation

- java.lang.Object
- - com.abbyy.mobile.rtr.IImagingCoreAPI.ExportToPdfOperation

- All Implemented Interfaces:
    IImagingCoreAPI.ExportOperation, java.lang.AutoCloseable
  Enclosing interface:
    IImagingCoreAPI

      public abstract static class IImagingCoreAPI.ExportToPdfOperation
      extends java.lang.Object
      implements IImagingCoreAPI.ExportOperation

  Export to PDF operation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.abbyy.mobile.rtr.IImagingCoreAPI.ExportOperation

      `IImagingCoreAPI.ExportOperation.Compression, IImagingCoreAPI.ExportOperation.CompressionType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IImagingCoreAPI.ExportOperation.Compression` | `Compression` Page image compression.
    `IImagingCoreAPI.ExportOperation.CompressionType` | `CompressionType` Page image compression.
    `int` | `PageHeight` Page heigth in points (1/72 of an inch).
    `int` | `PageWidth` Page width in points (1/72 of an inch).
    `java.lang.String` | `PdfInfoAuthor` PDF Info Tags: 'Author'
    `java.lang.String` | `PdfInfoCompany` PDF Info Tags: 'Company'
    `java.lang.String` | `PdfInfoCreator` PDF Info Tags: 'Creator'
    `java.lang.String` | `PdfInfoKeywords` PDF Info Tags: 'Keywords'
    `java.lang.String` | `PdfInfoProducer` PDF Info Tags: 'Producer'
    `java.lang.String` | `PdfInfoSubject` PDF Info Tags: 'Subject'
    `java.lang.String` | `PdfInfoTitle` PDF Info Tags: 'Title'

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExportToPdfOperation()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.abbyy.mobile.rtr.IImagingCoreAPI.ExportOperation

      `addPage`

    - ### Methods inherited from interface java.lang.AutoCloseable

      `close`

- - ### Field Detail

    - #### CompressionType

          public IImagingCoreAPI.ExportOperation.CompressionType CompressionType

      Page image compression. The default value is Jpg. (Currently only JPEG compression for images is supported, JPEG2000 planned)

    - #### Compression

          public IImagingCoreAPI.ExportOperation.Compression Compression

      Page image compression. See enum description

    - #### PageWidth

          public int PageWidth

      Page width in points (1/72 of an inch). The page size of A4 is 595x842. If the value is zero (the default), the page size is the same as the size of the image in pixels.

    - #### PageHeight

          public int PageHeight

      Page heigth in points (1/72 of an inch). The page size of A4 is 595x842. If the value is zero (the default value), the page size is the same as the size of the image in pixels.

    - #### PdfInfoTitle

          public java.lang.String PdfInfoTitle

      PDF Info Tags: 'Title'

    - #### PdfInfoSubject

          public java.lang.String PdfInfoSubject

      PDF Info Tags: 'Subject'

    - #### PdfInfoKeywords

          public java.lang.String PdfInfoKeywords

      PDF Info Tags: 'Keywords'

    - #### PdfInfoAuthor

          public java.lang.String PdfInfoAuthor

      PDF Info Tags: 'Author'

    - #### PdfInfoCompany

          public java.lang.String PdfInfoCompany

      PDF Info Tags: 'Company'

    - #### PdfInfoCreator

          public java.lang.String PdfInfoCreator

      PDF Info Tags: 'Creator'

    - #### PdfInfoProducer

          public java.lang.String PdfInfoProducer

      PDF Info Tags: 'Producer'

  - ### Constructor Detail

    - #### ExportToPdfOperation

          public ExportToPdfOperation()